#USING ERICS DISPERSAL INFO
#Replace place names in Eric's file with 3 letter abbreviation
#Reduce PhiST & Eucdist file to same set of locations
#read in files and make two new dataframes, each represents one direction of dispersal/migration

PhiSTdist10BP<-read.table("PhisT_N10_biophy.txt")  
PhiSTdist10BP<-as.data.frame(PhiSTdist10BP)
PhiSTdist10BP<-as.dist(PhiSTdist10BP)

Eucdist10BP<-read.table("Eucdist_N10_biophy.txt")  
Eucdist10BP<-as.data.frame(Eucdist10BP)
Eucdist10BP<-as.dist(Eucdist10BP)

Jostdist10BP<-read.table("Jost_dist_biophy.txt")  
Jostdist10BP<-as.data.frame(Jostdist10BP)
Jostdist10BP<-as.dist(Jostdist10BP)


LogPE0.1<-read.csv("Linckia_nlogP_Epenalty0.1_Th0.00001_DispersalDistance.csv")
LogPE0.1<-as.data.frame(LogPE0.1)
LogPE0.1t<-t(LogPE0.1)
LogPE0.1<-as.dist(LogPE0.1)
LogPE0.1t<-as.dist(LogPE0.1t)

LogPE0.9<-read.csv("Linckia_nlogP_Epenalty0.9_Th0.00001_DispersalDistance.csv")
LogPE0.9<-as.data.frame(LogPE0.9)
LogPE0.9t<-t(LogPE0.9)
LogPE0.9<-as.dist(LogPE0.9)
LogPE0.9t<-as.dist(LogPE0.9t)

logME0.1<-read.csv("Linckia_nlogM_Epenalty0.1_Th0.0001_DispersalDistance.csv")
logME0.1<-as.data.frame(logME0.1)
logME0.1t<-t(logME0.1)
logME0.1<-as.dist(logME0.1)
logME0.1t<-as.dist(logME0.1t)

logME0.9<-read.csv("Linckia_nlogM_Epenalty0.9_Th0.0001_DispersalDistance.csv")
logME0.9<-as.data.frame(logME0.9)
logME0.9t<-t(logME0.9)
logME0.9<-as.dist(logME0.9)
logME0.9t<-as.dist(logME0.9t)


temp<-read.table("PhisT_N10_biophy.txt")  
LowTri.dataframe <- data.frame(t(combn(rownames(temp),2)), as.numeric(PhiSTdist10BP), as.numeric(Jostdist10BP), as.numeric(Eucdist10BP)) #making new dataframe
names(LowTri.dataframe) <- c("ReceivingPop", "SourcePop", "PhiST", "Jostdist", "Eucdist") #adding column names
LowTri.dataframe$LogPE0.1<- as.numeric(LogPE0.1) #adding new column
LowTri.dataframe$LogPE0.9<- as.numeric(LogPE0.9) #adding new column
LowTri.dataframe$LogME0.1<- as.numeric(logME0.1)
LowTri.dataframe$LogME0.9<- as.numeric(logME0.9)
write.csv(LowTri.dataframe, file = "LowTri_distances.csv")

UppTri.dataframe <- data.frame(t(combn(rownames(temp),2)), as.numeric(PhiSTdist10BP),  as.numeric(Jostdist10BP), as.numeric(Eucdist10BP)) #making new dataframe
names(UppTri.dataframe) <- c("SourcePop", "ReceivingPop", "PhiST",  "Jostdist", "Eucdist") #adding column names
UppTri.dataframe$LogPE0.1<- as.numeric(LogPE0.1t) #adding new column
UppTri.dataframe$LogPE0.9<- as.numeric(LogPE0.9t) 
UppTri.dataframe$LogME0.1<- as.numeric(logME0.1t)
UppTri.dataframe$LogME0.9<- as.numeric(logME0.9t)
write.csv(UppTri.dataframe, file = "UppTri_distances.csv")

Bidirect_dists<-read.csv("Biophys_bidirectional_distances2.csv")
pairs(Bidirect_dists)

Bidirect_dists<-read.csv("Biophys_bidirectional_distances2.csv")
pairs(Bidirect_dists)
AvgBP_dists<-read.csv("Biophys_avg_dists.csv")
pairs(AvgBP_dists)


library(vegan)
library(lmPerm)

#fit of various models, bidirectional has values in both directions
#guam is improperly fitted here as zero values
Bidirect_dists<-read.csv("Biophys_bidirectional_distances2.csv")
pairs(Bidirect_dists)
summary(lmp(formula = PhiST~Eucdist, data=Bidirect_dists, perm="Prob")) #R2=0.4668
summary(lmp(formula = PhiST~LogPE0.1, data=Bidirect_dists, perm="Prob")) #R2=0.3308
summary(lmp(formula = PhiST~LogPE0.9, data=Bidirect_dists, perm="Prob")) #R2=0.3325
summary(lmp(formula = PhiST~LogME0.1, data=Bidirect_dists, perm="Prob")) #R2=0.3277
summary(lmp(formula = PhiST~LogPE0.9, data=Bidirect_dists, perm="Prob")) #R2=0.3325

#Guam removed
Bidirect_dists<-read.csv("Biophys_bidirectional_distances_NoGuam.csv")
pairs(Bidirect_dists)
summary(lmp(formula = PhiST~Eucdist, data=Bidirect_dists, perm="Prob")) #R2=0.5411
summary(lmp(formula = PhiST~LogPE0.1, data=Bidirect_dists, perm="Prob")) #R2=0.2306
summary(lmp(formula = PhiST~LogPE0.9, data=Bidirect_dists, perm="Prob")) #R2=0.2354
summary(lmp(formula = PhiST~LogME0.1, data=Bidirect_dists, perm="Prob")) #R2=0.2396
summary(lmp(formula = PhiST~LogPE0.9, data=Bidirect_dists, perm="Prob")) #R2= 0.2354

summary(lmp(formula = Jostdist~Eucdist, data=Bidirect_dists, perm="Prob")) #R2=0.8191
summary(lmp(formula = Jostdist~LogPE0.1, data=Bidirect_dists, perm="Prob")) #R2=0.1013
summary(lmp(formula = Jostdist~LogPE0.9, data=Bidirect_dists, perm="Prob")) #R2=0.1055
summary(lmp(formula = Jostdist~LogME0.1, data=Bidirect_dists, perm="Prob")) #R2=0.1155
summary(lmp(formula = Jostdist~LogPE0.9, data=Bidirect_dists, perm="Prob")) #R2= 0.1055

plot(Bidirect_dists$Eucdist,Bidirect_dists$PhiST)
plot(Bidirect_dists$LogPE0.1,Bidirect_dists$PhiST)
plot(Bidirect_dists$LogME0.1,Bidirect_dists$PhiST)

#remove KRK pops too
Bidirect_dists<-subset(Bidirect_dists, SourcePop != "KRK")
Bidirect_dists<-subset(Bidirect_dists, ReceivingPop != "KRK")
#rerun analyses - R2 for BP comes back to ~0.3 but Euc still better



summary(lmp(formula = PhiST~Eucdist, data=AvgBP_dists, perm="Prob")) #R2=0.4668
summary(lmp(formula = PhiST~LogPE0.1, data=AvgBP_dists, perm="Prob")) #R2=0.3439
summary(lmp(formula = PhiST~LogPE0.9, data=AvgBP_dists, perm="Prob")) #R2=0.344
summary(lmp(formula = PhiST~LogME0.1, data=AvgBP_dists, perm="Prob")) #R2=0.3479
summary(lmp(formula = PhiST~LogPE0.9, data=AvgBP_dists, perm="Prob")) #R2=0.344


